<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Car History</title>
    <link th:href="@{/css/style.css}" href="../static/css/style.css" rel="stylesheet" type="text/css">
</head>
<body>


<div th:each="visit : ${carHistory}">
    <div class="history-holder">
        <span>Date:&nbsp&nbsp</span><b><p th:text="${visit.getDate()}" class="history-p"></p></b><br>
        <span>Car Make:&nbsp&nbsp</span><b><p th:text="${visit.getCustomerCar().getCar().getMake()}" class="history-p"></p></b><br>
        <span>Car Model:&nbsp&nbsp</span><b><p th:text="${visit.getCustomerCar().getCar().getModel()}" class="history-p"></p></b><br>
        <span>Car Year:&nbsp&nbsp</span><b><p th:text="${visit.getCustomerCar().getCar().getYear()}" class="history-p"></p></b><br>
        <span>Car License Plate:&nbsp&nbsp</span><b><p th:text="${visit.getCustomerCar().getLicensePlate()}" class="history-p"></p></b><br>
        <span>Car VIN:&nbsp&nbsp</span><b><p th:text="${visit.getCustomerCar().getVIN()}" class="history-p"></p></b><br>
       <p>Services:</p>
        <ul th:each="service : ${visit.getServices()}">
            <li>
                <b><span th:text="${service.getName()}"></span></b>
                <b><span>................................................</span></b>
                <b><span th:text="${service.getPrice()}"></span></b>
            </li>
        </ul>
        <span>Total Price:&nbsp&nbsp</span><b><p th:text="${visit.getTotalPrice()}" class="history-p"></p></b>
    </div><br><br>
</div>

<a th:href="@{/}">Back</a>

<script type="text/javascript" th:src="@{/scripts/jquery.min.js}"></script>
<script type="text/javascript" th:src="@{/scripts/main.js}"></script>
</body>
</html>